<?php
// $Id: nd-content-admin-display-overview-form.tpl.php,v 1.1.2.9 2009/09/01 14:40:13 swentel Exp $

/**
 * @file
 *   Template file for the content display settings overview form
 *
 * @var
 * $nd_mode String
 *   Current selected node display mode
 * $rows Array of field objects
 *   Fields declared in drupal core and custom content fields
 *   Properties (human_name, weight, parent, stickyorder, <nd>, class, label_class, indentation)
 */

$regions = nd_node_regions();
print $exclude_build_mode;

if ($rows): ?>
  <table id="fields" class="sticky-enabled" <?php print $extra_style; ?>>
    <thead>
      <tr>
        <th><?php print t('Field'); ?></th>
        <th><?php print t('Label'); ?></th>
        <th><?php print t('Format'); ?></th>
        <th><?php print t('Region'); ?></th>
        <th><?php print t('Weight'); ?></th>
      </tr>
    </thead>
    <tbody>

    <!-- Node regions -->
    <?php foreach ($regions as $region => $title): ?>
      <tr class="region region-<?php print $region?>">
        <td colspan="6" class="region"><?php print $title; ?></td>
      </tr>
      <tr class="region-message region-<?php print $region?>-message <?php print empty($rows[$region]) ? 'region-empty' : 'region-populated'; ?>">
        <td colspan="6"><em><?php print t('No fields in this region'); ?></em></td>
      </tr>

        <!-- fields -->
        <?php
        if (!empty($rows[$region])):
          $count = 0;
          foreach ($rows[$region] as $row): ?>
            <tr class="<?php print $count % 2 == 0 ? 'odd' : 'even'; ?> <?php print $row->class ?>">
              <td><?php print $row->indentation; ?><span class="<?php print $row->label_class; ?>"><?php print $row->human_name; ?></span></td>
              <td><?php print $row->{$nd_mode}->label; ?></td>
              <td><?php print $row->{$nd_mode}->format; ?></td>
              <td><?php print $row->{$nd_mode}->region; ?></td>
              <td><?php print $row->nd_weight; ?></td>
            </tr>
            <?php
            $count++;
          endforeach;
        endif;
      endforeach;
     ?>
    </tbody>
  </table>
  <?php
  print $submit;
  endif;
